Bug 1418445 - DRb::DRbConnError when invoking a provision request via api 2 times in parallel
Summary: DRb::DRbConnError when invoking a provision request via api 2 times in parallel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: cfme-future
Assignee: mkanoor
QA Contact: Martin Kourim
URL:
Whiteboard: rest:api
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 20:53 UTC by Saif Ali
Modified: 2020-03-11 15:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 17:28:55 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Saif Ali 2017-02-01 20:53:23 UTC
Description of problem:
multiple provisioning via API in parallel failed with  druby://127.0.0.1:43006 - #<Errno::ECONNREFUSED:
 
[----] I, [2017-01-02T10:20:26.201410 #3293:d4b278]  INFO -- : Following Relationship [miqaedb:/unknown/VM/Provisioning/Profile/PRC-AXP-BA-E2-DP-CF-SVC#get_dialog_name]
[----] E, [2017-01-02T10:20:26.682922 #3293:ad1e70] ERROR -- : Method STDERR: The following error occurred during inline method preamble evaluation:
[----] E, [2017-01-02T10:20:26.683248 #3293:ad1e70] ERROR -- : Method STDERR:   DRb::DRbConnError: druby://127.0.0.1:43006 - #<Errno::ECONNREFUSED: Connection refused - connect(2) for "127.0.0.1" port 43006>
[----] E, [2017-01-02T10:20:26.697621 #3293:ad1e70] ERROR -- : Method STDERR:   /opt/rh/rh-ruby22/root/usr/share/ruby/drb/drb.rb:744:in `rescue in block in open'
[----] E, [2017-01-02T10:20:26.697830 #3293:ad1e70] ERROR -- : Method STDERR: /opt/rh/rh-ruby22/root/usr/share/ruby/drb/drb.rb:738:in `block in open'
[----] E, [2017-01-02T10:20:26.697900 #3293:ad1e70] ERROR -- : Method STDERR: /opt/rh/rh-ruby22/root/usr/share/ruby/drb/drb.rb:737:in `each'
[----] E, [2017-01-02T10:20:26.697990 #3293:ad1e70] ERROR -- : Method STDERR: /opt/rh/rh-ruby22/root/usr/share/ruby/drb/drb.rb:737:in `open'
[----] E, [2017-01-02T10:20:26.698132 #3293:ad1e70] ERROR -- : Method STDERR: /opt/rh/rh-ruby22/root/usr/share/ruby/drb/drb.rb:1248:in `initialize'
[----] E, [2017-01-02T10:20:26.698242 #3293:ad1e70] ERROR -- : Method STDERR: /opt/rh/rh-ruby22/root/usr/share/ruby/drb/drb.rb:1228:in `new'
[----] E, [2017-01-02T10:20:26.698362 #3293:ad1e70] ERROR -- : Method STDERR: /opt/rh/rh-ruby22/root/usr/share/ruby/drb/drb.rb:1228:in `open'
[----] E, [2017-01-02T10:20:26.698483 #3293:ad1e70] ERROR -- : Method STDERR: /opt/rh/rh-ruby22/root/usr/share/ruby/drb/drb.rb:1141:in `block in method_missing'
[----] E, [2017-01-02T10:20:26.698553 #3293:ad1e70] ERROR -- : Method STDERR: /opt/rh/rh-ruby22/root/usr/share/ruby/drb/drb.rb:1160:in `with_friend'
[----] E, [2017-01-02T10:20:26.698615 #3293:ad1e70] ERROR -- : Method STDERR: /opt/rh/rh-ruby22/root/usr/share/ruby/drb/drb.rb:1140:in `method_missing'
[----] E, [2017-01-02T10:20:26.698675 #3293:ad1e70] ERROR -- : Method STDERR: -:31:in `<main>'
[----] E, [2017-01-02T10:20:26.698741 #3293:ad1e70] ERROR -- : Method STDERR: /opt/rh/rh-ruby22/root/usr/share/ruby/drb/drb.rb:744:in `rescue in block in open': druby://127.0.0.1:43006 - #<Errno::ECONNREFUSED: Connection refused - connect(2) for "127.0.0.1" port 43006> (DRb::DRbConnError)

Version-Release number of selected component (if applicable):
CFME 5.6.0.13

How reproducible:


Steps to Reproduce:
1. send API call to provision service send the job to the background with '&'
and then send another one
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 mkanoor 2017-02-02 20:08:14 UTC
This was fixed in 5.6.1 
https://bugzilla.redhat.com/show_bug.cgi?id=1356704

Comment 3 mkanoor 2017-02-02 20:09:33 UTC
Can the customer upgrade to latest z stream for 5.6?


Note You need to log in before you can comment on or make changes to this bug.